Bugzilla (bugzilla.redhat.com) will be under maintenance for infrastructure upgrades and will not be available on July 31st between 12:30 AM - 05:30 AM UTC. We appreciate your understanding and patience. You can follow status.redhat.com for details.
Bug 1658712 - error when displaying external tracker list
Summary: error when displaying external tracker list
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Bugzilla
Classification: Community
Component: Extensions
Version: 5.0
Hardware: Unspecified
OS: Unspecified
unspecified
medium
Target Milestone: 5.0-RH4
Assignee: Jeff Fearn 🐞
QA Contact: Rony Gong 🔥
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-12-12 17:48 UTC by Ernesto Puerta
Modified: 2019-05-03 00:25 UTC (History)
6 users (show)

Fixed In Version: 5.0.4-rh18
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-05-03 00:25:41 UTC


Attachments (Terms of Use)

Description Ernesto Puerta 2018-12-12 17:48:07 UTC
Description of problem:
On a BZ (e.g.: https://bugzilla.redhat.com/buglist.cgi?bug_id=1656588), clicking on the 

Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1. Go to abovementioned BZ
2. Click on TreeView+ "depends on" button.

Actual results:
The following error appears:

> An unexpected error occurred. This could be a temporary problem, or some code is behaving incorrectly. If this problem persists, please email this page to bugzilla-owner@redhat.com with details of what you were doing at the time this message appeared.
> URL: http://bugzilla.redhat.com/buglist.cgi?bug_id=1656588&bug_id_type=anddependson&format=tvp&list_id=9803339
> undef error - encountered object 'Bugzilla::Extension::ExternalBugs::Bug=HASH(0x56359d41d408)', but neither allow_blessed, convert_blessed nor allow_tags settings are enabled (or TO_JSON/FREEZE method missing) at /var/www/html/bugzilla/extensions/TreeViewPlus/Extension.pm line 56.
> Traceback:

Expected results:
Depends on info appears.

Additional info:

Comment 1 Jeff Fearn 🐞 2018-12-12 22:50:26 UTC
It works fine for me. If you can reproduce then please include browser details.

Comment 2 Ernesto Puerta 2018-12-13 09:59:40 UTC
(In reply to Jeff Fearn from comment #1)
> It works fine for me. If you can reproduce then please include browser
> details.

Just checked and still failing. Browser details:

> Google Chrome	70.0.3538.110 (Official Build) (64-bit)
> Revision	ca97ba107095b2a88cf04f9135463301e685cbb0-refs/branch-heads/3538@{#1094}
> OS	Linux
> JavaScript	V8 7.0.276.40
> Flash	32.0.0.10

Comment 3 Jeff Fearn 🐞 2019-01-15 11:36:22 UTC
Hi Rony, can you see if you can duplicate this?

Comment 5 Jeff Fearn 🐞 2019-03-19 00:59:03 UTC
ah ha! you need to change columns to show the ext_bz_list column to trigger this.

Comment 8 Rony Gong 🔥 2019-03-19 06:25:22 UTC
Verified on QA server, the list could work well even display all field columns

Comment 10 Jeff Fearn 🐞 2019-04-16 00:32:27 UTC
This change has been deployed to partner bugzilla, please test and let us know if you have any issues.

https://partner-bugzilla.redhat.com/

Comment 11 Jeff Fearn 🐞 2019-05-03 00:25:41 UTC
This change is now live. If there are any issues, do not reopen this
bug. Instead, you should create a new bug and reference this bug.


Note You need to log in before you can comment on or make changes to this bug.